Bug 144286 - Gulm is holding on to ccs connections
Gulm is holding on to ccs connections
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gulm (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: michael conrad tadpol tilstra
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 11:57 EST by Derek Anderson
Modified: 2009-04-16 16:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 15:43:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2005-01-05 11:57:33 EST
Description of problem:
It appears that gulm is grabbing ccs connections and not releasing them.

# Start it...
[root@link-10 root]# lock_gulmd -c -s link-10,link-11,link-12

# Grab a ccs connection, you get the fourth.  Release it.
[root@link-10 root]# ccs_test connect
Connect successful.
 Connection descriptor = 4
[root@link-10 root]# ccs_test disconnect 4
Disconnect successful.

# Stop and restart lock_gulmd
[root@link-10 root]# gulm_tool shutdown localhost
[root@link-10 root]# lock_gulmd -c -s link-10,link-11,link-12

# Grab a ccs connection, you get the eigth.  Release it.
[root@link-10 root]# ccs_test connect
Connect successful.
 Connection descriptor = 8
[root@link-10 root]# ccs_test disconnect 8
Disconnect successful.

# Restart a third time and you are out of ccs connections altogether.
[root@link-10 root]# lock_gulmd -c -s link-10,link-11,link-12
No ccsd, checking for cmdline config. (-11:Resource temporarily
unavailable)
Gulm requires a cluster name. You left it blank.
[root@link-10 root]# No ccsd, checking for cmdline config.
(-11:Resource temporarily unavailable)
Gulm requires a cluster name. You left it blank.

Version-Release number of selected component (if applicable):
6.1 RPMS from Wed 15 Dec 2004 01:13:08 PM CST

How reproducible:
Very

Steps to Reproduce:
1. Start and stop lock_gulmd three times
2.
3.
  
Actual results:
You are out of ccs connections

Expected results:
Gulm shares nicely with others

Additional info:
Comment 1 michael conrad tadpol tilstra 2005-01-05 12:11:25 EST
wasn't calling ccs_disconnect().
doing that now. All better.
Comment 2 Derek Anderson 2005-02-09 15:43:30 EST
Fix verified in gulm-1.0-0.pre16.0.

Note You need to log in before you can comment on or make changes to this bug.